#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "qcustomplot.h"

namespace Ui {
class XYPlotWindow;
}

class XYPlotWindow : public QMainWindow
{
    Q_OBJECT

public:
    /// \fn XYPlotWindow::XYPlotWindow(QWidget *parent)
    /// \~English
    /// \brief Constructor
    /// \~Spanish
    /// \brief Constructor
    explicit XYPlotWindow(QWidget *parent = 0);

    /// \fn XYPlotWindow::~XYPlotWindow()
    /// \~English
    /// \brief Destructor
    /// \~Spanish
    /// \brief Destructor
    ~XYPlotWindow();

    /// \fn void XYPlotWindow::AddPointToGraph(double x, double y)
    /// \~English
    /// \brief Adds a coordinate (x,y) to the XX and YY vectors.
    /// \param x value of the coordinate (x,y) to be added to vector XX.
    /// \param y value of the coordinate (x,y) to be added to vector YY.
    /// \~Spanish
    /// \brief Anade una coordenada (x,y) a los vectores XX y YY.
    /// \param x valor de la coordenada (x,y) a ser anadido al vector XX.
    /// \param y valor de la coordenada (x,y) a ser anadido al vector YY.
    void AddPointToGraph(double x, double y);

    /// \fn void XYPlotWindow::Plot()
    /// \~English
    /// \brief Plots the coordinates inserted in the vectors XX and YY.
    /// \~Spanish
    /// \brief Grafica las coordenadas insertadas en los vectores XX y YY.
    void Plot();


private:
    Ui::XYPlotWindow *ui;
    QVector<double> XX, YY;
    QVector<double> XXN, YYN;    
};

#endif // MAINWINDOW_H
